# Unlink a linked account Unlinks a linked account identified by the linked_account_id. This action is not reversible and if the buyer wants to use this linked account again to fund payment runs, they will have to re-link the account. More information on how to link an account can be found here. Details of an unlinked account, can still be retrieved via the Get linked accounts and Get linked account endpoints. Required user role: CONTROLLER Endpoint: POST /v1/linked_accounts/{linked_account_id}/unlink Version: v1 Security: apiKey, authToken ## Path parameters: - `linked_account_id` (string, required) The unique identifier of the linked account. ## Header parameters: - `idempotency-ref` (string) A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours. ## Response 200 fields (application/json): - `id` (string, required) The unique identifier of the linked account Example: "652d25b73541d8084a88a38d" - `accountIdentification` (any, required) The bank details that uniquely identify the account on the banking systems. - `currency` (string, required) The primary currency associated with the account Enum: "GBP", "EUR" - `institution` (object, required) - `institution.displayName` (string) The name to be used when displaying the institution to users on user interfaces - `institution.countries` (array, required) The institution's supported countries Enum: "GB", "AT", "BE", "BG", "HR", "CY", "CZ", "DK", "EE", "FI", "FR", "DE", "GI", "GR", "HU", "IS", "IE", "IT", "LV", "LI", "LT", "LU", "MT", "NL", "NO", "PL", "PT", "RO", "SK", "SI", "ES", "SE" - `institution.images` (object) The images that should be used when displaying the institution - `institution.images.icon` (string) - `institution.images.logo` (string) - `institution.info` (object) - `institution.info.loginUrl` (string) - `institution.info.helplinePhoneNumber` (string) - `consent` (object, required) - `consent.expiresAt` (string, required) - `consent.expiresIn` (integer, required) - `consent.status` (string, required) Enum: "ACTIVE", "EXPIRED", "REVOKED" - `status` (string, required) The status of the linked account. The status can be one of the following: - PENDING_CHALLENGE: The Linked Account is pending challenge - PENDING_VERIFICATION: The Linked Account is pending the completion of the required verification steps - PENDING_FUNDING: Awaiting a wire transfer as part of the verification process when adding an account without Open Banking - REJECTED: The Linked Account did not pass one or more verification steps and is not eligible for use - LINKED: The linked account is linked and ready for use - UNLINKED: The linked account is not linked and cannot be used Enum: "LINKED", "UNLINKED", "PENDING_CHALLENGE", "PENDING_FUNDING", "PENDING_VERIFICATION", "REJECTED" - `friendlyName` (string) A user-friendly name for the linked account ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 403 fields (application/json): - `errorCode` (string) Enum: "INSUFFICIENT_PERMISSIONS" ## Response 404 fields (application/json): - `code` (string) - `message` (string) ## Response 409 fields (application/json): - `errorCode` (string) Enum: "IDEMPOTENT_REQUEST_IN_PROGRESS", "LINKED_ACCOUNT_INVALID_STATE" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 401 fields ## Response 413 fields ## Response 422 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields